Bug 1546884

Summary: Apply patches use python-gssapi instead of pykerberos or orphan package
Product: [Fedora] Fedora Reporter: Robbie Harwood <rharwood>
Component: didAssignee: Petr Šplíchal <psplicha>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: mfrodl, psplicha
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://github.com/psss/did/pull/147
Whiteboard:
Fixed In Version: did-0.9-7.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-03-05 22:00:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1537249    

Description Robbie Harwood 2018-02-19 21:55:50 UTC
This bug has been created in accordance with https://fedoraproject.org/wiki/Changes/kerberos-in-python-modernization (tracking bug: rhbz#1537249 ).  In brief: pykerberos does not provide a good interface, and we would like to eventually remove it.

Patches to port to python-gssapi have been provided here for your convenience: https://github.com/psss/did/pull/147

Please be aware that this has a hard deadline of March 6 as per https://fedoraproject.org/wiki/Releases/28/Schedule so your prompt action is appreciated.

This package seems unmaintained upstream.  If that is the case, please consider orphaning it.

Comment 1 Fedora End Of Life 2018-02-20 15:31:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Robbie Harwood 2018-03-05 22:00:05 UTC
Patch has been applied; closing.